Bug 53521 - Konqueror crahes
Konqueror crahes
Status: CLOSED DUPLICATE of bug 52516
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-10 16:38 EDT by Josep L. Guallar-Esteve
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-10 16:56:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
konqueror crash-1 (2.98 KB, text/plain)
2001-09-10 16:43 EDT, Josep Guallar-Esteve
no flags Details
Konqueror-crash-02 (2.46 KB, text/plain)
2001-09-10 16:45 EDT, Josep Guallar-Esteve
no flags Details
Kwrite-traceback (1.17 KB, text/plain)
2001-09-10 16:56 EDT, Josep Guallar-Esteve
no flags Details

  None (edit)
Description Josep Guallar-Esteve 2001-09-10 16:38:38 EDT
* test tree re0908.2
* test case ia64 / English / NFS / Everything / GUI Install

Description of Problem:

Konqueror as file-browser appears to work. But, when trying to use it as 
Web Browser (or canging th "URL" on the file-browser), it crashes.

The logs of the crashes:

-----------------------------------
-----------------------------------
(no debugging symbols found)...0x20000000023029e2 in wait4 () at 
soinit.c:56
        in soinit.c
#0  0x20000000023029e2 in wait4 () at soinit.c:56
#1  0x2000000002302960 in __libc_waitpid (pid=1521, stat_loc=0x0, 
options=0)
    at ../sysdeps/unix/sysv/linux/waitpid.c:26
#2  0x2000000001033180 in KCrash::defaultCrashHandler ()
   from /usr/lib/libkdecore.so.3
#3  <signal handler called>
#4  0x20000000022a2190 in strcmp () at soinit.c:56
#5  0x2000000001e67940 in XFreeFontSet () from /usr/X11R6/lib/libX11.so.6
#6  0x2000000001e67f20 in XCreateIC () from /usr/X11R6/lib/libX11.so.6
#7  0x200000000155cac0 in QWidget::setMicroFocusHint ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#8  0x200000000175e150 in QLineEdit::paintEvent ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#9  0x20000000016d8260 in QWidget::event ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#10 0x200000000175e540 in QLineEdit::event ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#11 0x2000000001574d20 in QApplication::notify ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#12 0x2000000000ec6080 in KApplication::notify () from 
/usr/lib/libkdecore.so.3
#13 0x2000000001560480 in QWidget::repaint ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#14 0x2000000001764ad0 in QLineEdit::blinkSlot ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#15 0x20000000017690a0 in QLineEdit::blinkOn ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#16 0x200000000175ca50 in QLineEdit::focusInEvent ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#17 0x20000000016d8260 in QWidget::event ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#18 0x200000000175e540 in QLineEdit::event ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#19 0x2000000001574d20 in QApplication::notify ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#20 0x2000000000ec6080 in KApplication::notify () from 
/usr/lib/libkdecore.so.3
#21 0x20000000016d2480 in QWidget::setFocus ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#22 0x20000000014fdf90 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#23 0x20000000014f88e0 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#24 0x20000000014f6170 in QApplication::processNextEvent ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#25 0x20000000015797f0 in QApplication::enter_loop ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#26 0x20000000014f6070 in QApplication::exec ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#27 0x20000000000923a0 in main () from /usr/lib/konqueror.so
#28 0x20000000021dc6c0 in __libc_start_main (main=0x200000000266c1f8, 
argc=1,
    ubp_av=0x80000fffffffb8c8, init=0x200000000266c208,
    fini=0x2000000000041fa8 <_dl_debug_mask>,
    rtld_fini=0x20000000023a41c8 <xdrstdio_setpos+72>,
    stack_end=0x80000fffffffb8c0) at ../sysdeps/generic/libc-start.c:129
#29 0x2000000002302960 in __libc_waitpid (pid=-18240, stat_loc=0x0, 
options=0)
    at ../sysdeps/unix/sysv/linux/waitpid.c:26
#30 0x2000000000041fa8 in _dl_debug_mask () from /lib/ld-linux-ia64.so.2
#31 0x2000000002302960 in __libc_waitpid (pid=)
    at ../sysdeps/unix/sysv/linux/waitpid.c:26

-----------------------------------
-----------------------------------
(no debugging symbols found)...0x20000000023029e2 in wait4 () at 
soinit.c:56
        in soinit.c
#0  0x20000000023029e2 in wait4 () at soinit.c:56
#1  0x2000000002302960 in __libc_waitpid (pid=1521, stat_loc=0x0, 
options=0)
    at ../sysdeps/unix/sysv/linux/waitpid.c:26
#2  0x2000000001033180 in KCrash::defaultCrashHandler ()
   from /usr/lib/libkdecore.so.3
#3  <signal handler called>
#4  0x20000000022a2190 in strcmp () at soinit.c:56
#5  0x2000000001e67940 in XFreeFontSet () from /usr/X11R6/lib/libX11.so.6
#6  0x2000000001e67f20 in XCreateIC () from /usr/X11R6/lib/libX11.so.6
#7  0x200000000155cac0 in QWidget::setMicroFocusHint ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#8  0x200000000175e150 in QLineEdit::paintEvent ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#9  0x20000000016d8260 in QWidget::event ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#10 0x200000000175e540 in QLineEdit::event ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#11 0x2000000001574d20 in QApplication::notify ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#12 0x2000000000ec6080 in KApplication::notify () from 
/usr/lib/libkdecore.so.3
#13 0x2000000001560480 in QWidget::repaint ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#14 0x2000000001764ad0 in QLineEdit::blinkSlot ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#15 0x20000000017690a0 in QLineEdit::blinkOn ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#16 0x200000000175ca50 in QLineEdit::focusInEvent ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#17 0x20000000016d8260 in QWidget::event ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#18 0x200000000175e540 in QLineEdit::event ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#19 0x2000000001574d20 in QApplication::notify ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#20 0x2000000000ec6080 in KApplication::notify () from 
/usr/lib/libkdecore.so.3
#21 0x20000000016d2480 in QWidget::setFocus ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#22 0x20000000014fdf90 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#23 0x20000000014f88e0 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#24 0x20000000014f6170 in QApplication::processNextEvent ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#25 0x20000000015797f0 in QApplication::enter_loop ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#26 0x20000000014f6070 in QApplication::exec ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#27 0x20000000000923a0 in main () from /usr/lib/konqueror.so
#28 0x20000000021dc6c0 in __libc_start_main (main=0x200000000266c1f8, 
argc=1,
    ubp_av=0x80000fffffffb8c8, init=0x200000000266c208,
    fini=0x2000000000041fa8 <_dl_debug_mask>,
    rtld_fini=0x20000000023a41c8 <xdrstdio_setpos+72>,
    stack_end=0x80000fffffffb8c0) at ../sysdeps/generic/libc-start.c:129
#29 0x2000000002302960 in __libc_waitpid (pid=-18240, stat_loc=0x0, 
options=0)
    at ../sysdeps/unix/sysv/linux/waitpid.c:26
#30 0x2000000000041fa8 in _dl_debug_mask () from /lib/ld-linux-ia64.so.2
#31 0x2000000002302960 in __libc_waitpid (pid=)
    at ../sysdeps/unix/sysv/linux/waitpid.c:26
-----------------------------------
-----------------------------------
Comment 1 Josep Guallar-Esteve 2001-09-10 16:43:55 EDT
Created attachment 31536 [details]
konqueror crash-1
Comment 2 Josep Guallar-Esteve 2001-09-10 16:45:32 EDT
Created attachment 31537 [details]
Konqueror-crash-02
Comment 3 Josep Guallar-Esteve 2001-09-10 16:56:08 EDT
Created attachment 31538 [details]
Kwrite-traceback
Comment 4 Josep Guallar-Esteve 2001-09-10 16:56:40 EDT
Kwrite also crashes. See attached traceback
Comment 5 Bernhard Rosenkraenzer 2001-09-11 05:12:00 EDT

*** This bug has been marked as a duplicate of 52516 ***

Note You need to log in before you can comment on or make changes to this bug.